Mono.Parallel 4.0.0.0 System.Object Implementation of a scalable non-zero indicator.
- Constructor
  4.0.0.0
  Initialize Snzi object with a zero value.
- Method
  4.0.0.0
  System.Void Decrement the value of the Snzi object. To undo the action, a call to must be made on the same thread that initially called this method.
- Method
  4.0.0.0
  System.Void Increment the value of the Snzi object. To undo the action, a call to must be made on the same thread that initially called this method.
- Property
  4.0.0.0
  System.Boolean Query if Snzi is has a zero value or not. True if Snzi is zero, otherwise.
- Method
  4.0.0.0
  System.Void Reset the Snzi object to a zero state.